Skip to main content
`Ctrl`+`K`

# LMESetOptionsPrefix

Sets the prefix used for searching for all `LME` options in the database.

## Synopsis

    #include "slepclme.h"
    PetscErrorCode LMESetOptionsPrefix(LME lme,const char prefix[])

Logically Collective

## Input Parameters

- lme - the linear matrix equation solver context

- prefix - the prefix string to prepend to all `LME` option requests

## Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

For example, to distinguish between the runtime options for two different `LME` contexts, one could call

       LMESetOptionsPrefix(lme1,"fun1_")
       LMESetOptionsPrefix(lme2,"fun2_")

## See Also

LME: Linear Matrix Equation, `LMEAppendOptionsPrefix()`, `LMEGetOptionsPrefix()`

## Level

advanced

## Location

src/lme/interface/lmeopts.c

Index of all LME routines Table of Contents for all manual pages Index of all manual pages